%define version 0.4.2
%define release 1mdk

Summary:	Password manager for GNOME 2
Name:		revelation
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://oss.wired-networks.net/revelation/
Source:		ftp://oss.wired-networks.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name.png
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildArch:	noarch

BuildRequires:	python-devel
BuildRequires:	ImageMagick
Requires:	gnome-python
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	python-libxml2
Requires:	pycrypto >= 1.9
Requires:	pygtk2.0 >= 2.3.91
Prereq:		GConf2 >= 2.3.3

%description
Revelation is a password manager for the GNOME 2 desktop, released under
the GNU GPL license. It organizes accounts in a tree structure, and
stores them as AES-encrypted XML files.

%prep
%setup -q

%build
%configure2_5x --prefix=/usr

%make WARN_CFLAGS=""

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true
%{__rm} -f %buildroot%{_libdir}/python2.4/site-packages/%name/*.pyc

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 longtitle="Organize and secure your passwords" \
 needs="x11" \
 section="System/Other" \
 title="Revelation password manager" \
 startup_notify="yes"
_EOF_

# icons
#install -m 644 -D pixmaps/revelation.png %{buildroot}%{_liconsdir}/%{name}.png
#convert -geometry 32x32 pixmaps/revelation.png %{buildroot}%{_iconsdir}/%{name}.png
#install -m 644 -D pixmaps/revelation-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 %SOURCE1 %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 %SOURCE1 %{buildroot}%{_miconsdir}/%{name}.png
cp %SOURCE1 %buildroot/%{_datadir}/pixmaps

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in revelation; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
done

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in revelation; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/${SCHEMA}.schemas > /dev/null
  done
fi

%postun
%clean_menus

%clean
#rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*
%{_libdir}/python*.*/site-packages/%{name}
%dir %{_datadir}/icons/hicolor/
%{_datadir}/icons/hicolor/*
%{_datadir}/mime/packages/%name.xml
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Tue Mar 22 2005 Jerome Soyer <saispo@mandrake.org> 0.4.2-1mdk
- New release 0.4.2

* Mon Feb 14 2005 Jerome Soyer <saispo@mandrake.org> 0.4.0-2mdk
- fix running & Requires

* Tue Feb 08 2005 Jerome Soyer <saispo@mandrake.org> 0.4.0-1mdk
- New release 0.4.0

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.3.4-2mdk
- Rebuild for new python

* Mon Sep 27 2004 Jerome Soyer <saispo@mandrake.org> 0.3.4-1mdk
- New release 0.3.4

* Tue Aug 31 2004 Jerome Soyer <saispo@mandrake.org> 0.3.3-1mdk
- New release 0.3.3

* Mon Aug  9 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.3.2-1mdk
- New release 0.3.2

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 0.3.1-1mdk
- New version

* Tue May 04 2004 Abel Cheung <deaddog@deaddog.org> 0.3.0-1mdk
- New version
- Please use UTF-8 in spec, instead of allowing multiple encoding
  inside a spec file!

* Wed Mar  3 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2.1-2mdk
- remove rpmlint warning
- fix buildrequires

* Tue Mar 02 2004 Abel Cheung <deaddog@deaddog.org> 0.2.1-1mdk
- New version

* Mon Feb 23 2004 Abel Cheung <deaddog@deaddog.org> 0.2.0-1mdk
- New version

* Wed Feb 11 2004 David Baudens <baudens@mandrakesoft.com> 0.1.2-2mdk
- Fix menu

* Thu Feb 05 2004 Abel Cheung <deaddog@deaddog.org> 0.1.2-1mdk
- New version

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.1.0-1mdk
- First Mandrake package
